You can not select more than 25 topics
Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
31 lines
848 B
31 lines
848 B
From d46a3ae2d3f06852388eb8439a9c06d97a8d3ca2 Mon Sep 17 00:00:00 2001
|
|
From: Adrian Freihofer <adrian.freihofer@gmail.com>
|
|
Date: Wed, 27 Mar 2024 08:27:37 +0100
|
|
Subject: [PATCH] tests: workaround for tpm2-tools bug
|
|
|
|
The test fails because of a bug in the tpm2-tools:
|
|
https://github.com/tpm2-software/tpm2-tools/pull/3374
|
|
---
|
|
test/ec_createak_x509_index.sh | 5 +++++
|
|
1 file changed, 5 insertions(+)
|
|
|
|
diff --git a/test/ec_createak_x509_index.sh b/test/ec_createak_x509_index.sh
|
|
index 4323475..7476c23 100755
|
|
--- a/test/ec_createak_x509_index.sh
|
|
+++ b/test/ec_createak_x509_index.sh
|
|
@@ -2,6 +2,11 @@
|
|
# SPDX-License-Identifier: BSD-3-Clause
|
|
set -eufx
|
|
|
|
+# Temporary workaround for https://github.com/tpm2-software/tpm2-tools/pull/3374
|
|
+if uname -m | grep s390; then
|
|
+ exit 77
|
|
+fi
|
|
+
|
|
# create EK
|
|
tpm2_createek -G ecc -c ek_rsa.ctx
|
|
|
|
--
|
|
2.44.0
|
|
|